Bug 1470393 - (oVirt_DPDK) [RFE][Tracker][tech-preview] DPDK support [NEEDINFO]
[RFE][Tracker][tech-preview] DPDK support
Status: NEW
Product: vdsm
Classification: oVirt
Component: Core (Show other bugs)
4.20.0
Unspecified Unspecified
low Severity medium (vote)
: ovirt-4.3.0
: ---
Assigned To: Irit Goihman
Meni Yakove
: FutureFeature, TechPreview, Tracking
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-12 18:00 EDT by Dan Kenigsberg
Modified: 2017-10-16 08:28 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
The engine supports DPDK for higher network performance. See https://www.ovirt.org/blog/2017/09/ovs-dpdk/ for details.
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Network
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
ykaul: needinfo? (igoihman)
rule-engine: ovirt‑4.3?
rule-engine: planning_ack?
rule-engine: devel_ack?
rule-engine: testing_ack?


Attachments (Terms of Use)

  None (edit)
Description Dan Kenigsberg 2017-07-12 18:00:31 EDT
Attach VMs to DPDK-controlled NICs.

As https://github.com/oVirt/ovirt-site/pull/1070 describes, currently the user is expected to configure DPDK on each host manually, use the still-experimental OVS switch-type for the cluster, define VM with custom properties, and pin it to a specific host, since migration is not yet supported.

Under these limitations, the user can enjoy high performance networking in their VM guest.
Comment 1 Yaniv Kaul 2017-09-18 09:36:54 EDT
Irit, what is the status of the feature?
Comment 2 Irit Goihman 2017-09-18 09:43:22 EDT
fully works, needs some more performance tweaks and maybe worth adding an auxiliary installation script. No code change in vdsm is needed.
Comment 3 Yaniv Kaul 2017-09-18 09:58:40 EDT
(In reply to Irit Goihman from comment #2)
> fully works, needs some more performance tweaks and maybe worth adding an
> auxiliary installation script. No code change in vdsm is needed.

Can we move it to MODIFIED?
Comment 4 Irit Goihman 2017-09-18 10:15:39 EDT
OK from my side, Dan do you agree?
Comment 5 Dan Kenigsberg 2017-09-18 15:33:40 EDT
DPDK is all about performance. And we still do not have a use case where what we have done actually improves performance. Without a measurable performance improvement this does not deserve to be declared as an ovirt-4.2 feature.
Comment 6 Yaniv Kaul 2017-09-26 03:07:53 EDT
(In reply to Dan Kenigsberg from comment #5)
> DPDK is all about performance. And we still do not have a use case where
> what we have done actually improves performance. Without a measurable
> performance improvement this does not deserve to be declared as an ovirt-4.2
> feature.

Irit - please provide or work with QE to provide performance numbers?

Dan - the code is in, so this should be in MODIFIED state, unless we know of additional work that needs to be done. If it doesn't work, we can remove it from docs, or whatever is needed.
Comment 7 Dan Kenigsberg 2017-09-26 07:59:27 EDT
Without a numerical proof, I fear that most of the work is still ahead of us. I have opened this RFE only for its documentational value, and I do not see the merit of including it in 4.2 in its current state. I prefer to postpone it to 4.3 over moving it to MODIFIED.
Comment 8 Yaniv Kaul 2017-10-12 06:14:12 EDT
(In reply to Dan Kenigsberg from comment #7)
> Without a numerical proof, I fear that most of the work is still ahead of
> us. I have opened this RFE only for its documentational value, and I do not
> see the merit of including it in 4.2 in its current state. I prefer to
> postpone it to 4.3 over moving it to MODIFIED.

ACK - moved to 4.3. If we can do anything by the end of October, I'm fine with bringing it back to 4.2.

Note You need to log in before you can comment on or make changes to this bug.